package ru.ulstu.statistic.service;

import org.springframework.stereotype.Service;
import ru.ulstu.report.repository.ReportRepository;
import ru.ulstu.statistic.model.RatingItem;

import java.util.List;

@Service
public class StatisticService {
    private final ReportRepository reportRepository;

    public StatisticService(ReportRepository reportRepository) {
        this.reportRepository = reportRepository;
    }

    public List<RatingItem> getRating(Integer reportPeriodId) {
        return reportRepository.getRating(reportPeriodId);
    }
}
